from pydantic import BaseModel, Field
from typing import Optional


class User(BaseModel):
    uid: str = Field(..., alias="_id")
    username: str
    password: str
    is_admin: bool = False
    push_subscriptions: Optional[list[str]] = []